Subject: Re: chroot()

From: [email-masked]
Date: Thu, 24 Oct 1996 09:21:39 +0100 (BST)

When I had that error on Solaris 2.5.1 it was because I didn't have
dev/tcp and dev/zero created under the directory which the user gets
chrooted to.

Anthony

> I did all that.. (I did read the faq and the doc).
> He's part of a group which is part of the guestgroup
> in the ftpaccess file. I set his shell to /bin/csh
> (defined in the /etc/shells), he gets
> "Can't create data socket (0.0.0.0,20): Bad file number."
> when he types ls after logging in via ftp.
> however, when I set his shell to /bin/false 
> (defined in the /etc/shells) he can login but the
> chroot() doesn't seem to work since the root dir is wrong.
> 
> Any help would be appreciated.
> Esaie
>